2019-02-22 15:27 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004011Zool[All Projects] Generalpublic2019-01-06 10:36
ReporterIrek 
Assigned ToJOTDProject InfoZool (Gremlin)
http://www.whdload.de/games/Zool.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004011: I have severe gfx problems in main character (AGA)
DescriptionGameVersion: english,pal,2 disks AGA,v
SlaveVersion: 1.2 from 11.08.2001

I have severe gfx problems in main character, after snoop test, the game crashes with a error:
************************* 17-Nov-18 11:10:55 ************************18.3.5863***
Slave='Zool.slave' (2352 bytes)
ShadowMem 56AB4AC8 - 56B56AC8 ( 663552) AbsolutMem    A2000 -   100000 ( 385024)
Resload   5BF6A000 - 5BF71C8C (  31884) at 5BF6A000  GL=$5BF73000
Slave     5BFFE000 - 5BFFE90C (   2316) at 5BFFE000  BaseMemSize=$100000
attn=7F(40,82) fc=-1 kn=10371 cs=A7CE rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $5BFFE112 (Slave $112) Long Write to
$DFF096 (custom.dmacon)
$5bffe0d2 moveq        #0,d3
$5bffe0d4 move.l       ($5bffe0a4,pc),d4
$5bffe0d8 moveq        #0,d5
$5bffe0da moveq        #0,d0
$5bffe0dc move.l       #$80000000,d1
$5bffe0e2 movem.l      d0-d1/a0-a2,-(a7)              ;$000ffec4
$5bffe0e6 move.l       ($5bffe08c,pc),a2
$5bffe0ea andi.l       #$101,d0
$5bffe0f0 andi.l       #$101,d1
$5bffe0f6 jsr          ($10,a2)                       ;$5bf6a010
$5bffe0fa movem.l      (a7)+,d0-d1/a0-a2              ;$000ffec4
$5bffe0fe move         #$2700,sr
$5bffe102 lea          ($fff00),a7
$5bffe108 move.l       #$7fff,($dff096)
$5bffe112 bsr.w        $5bffe128
$5bffe116 move.l       a0,-(a7)                       ;$000ffec4
$5bffe118 move.l       ($5bffe08c,pc),a0
$5bffe11c jsr          ($20,a0)                       ;$a0a0a0c0
$5bffe120 move.l       (a7)+,a0                       ;$000ffec4
$5bffe122 jmp          ($70000)
$5bffe128 moveq        #0,d0
$5bffe12a lea          ($70000),a0
$5bffe130 move.l       #$1800,d1
$5bffe136 moveq        #0,d2
$5bffe138 movem.l      d1/a0-a2,-(a7)                 ;$000ffec4
$5bffe13c move.l       a0,a1
$5bffe13e lea          ($5bffe081,pc),a0
$5bffe142 addi.b       #$31,d0
$5bffe146 move.b       d0,(a0)                        ;$a0a0a0a0
exception stackframe:
$000FFEC4 27005BFF E1127008 000FFFEC 04850005 00850005 00DFF096 00DFF096 00007FFF
$000FFEE4 00DFF096 00007FFF 00000000 00000000 00000000 00000000 00000000
regular stack:
$000FFF00 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$000FFF20 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$000FFF40 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$000FFF60 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$000FFF80 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx        0  80000000         0         0         0         0  D6D6D6D6  D7D7D7D7
Ax A0A0A0A0  A1A1A1A1  5BF6A000  A3A3A3A3  A4A4A4A4  A5A5A5A5  A6A6A6A6
                 TTSM III   XNZVC
PC=5BFFE112  SR %0010011100000000  USP=FFC00  ISP=FFEC4  MSP=FF800
VBR=5BF74000  SFC=5  DFC=5  CACR=80008000  MMUSR=0
TC=8000  URP=5BF68000  SRP=5BF68000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0000000000000000 dmacon=%0010000000000000 adkcon=$1100
intreq=%0000000000000000
vposr....A300  vhposr...0E6B  joy0dat..0200  joy1dat..0000  clxdat...8001  
pot0dat..E4FE  pot1dat..0012  potinp...5500  serdatr..3BFF  dskbytr..8000  
vposw....A300  bltafwm..FFFF  bltalwm..FFFF  deniseid.00F8  cop2lc...0000  
cop2lcl..1000  clxcon...0000  spr0ctl..0000  spr0data.0000  spr0datb.0000  
spr1ctl..0000  spr1data.0000  spr1datb.0000  spr2ctl..0000  spr2data.0000  
spr2datb.0000  spr3ctl..0000  spr3data.0000  spr3datb.0000  spr4ctl..0000  
spr4data.0000  spr4datb.0000  spr5ctl..0000  spr5data.0000  spr5datb.0000  
spr6ctl..0000  spr6data.0000  spr6datb.0000  spr7ctl..0000  spr7data.0000  
spr7datb.0000  hhposr...FF92  
   ciaa:     PI ROPS		   ciab:     PI ROPS
    cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
        AII ROPS			    AII ROPS
    crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
        10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    pra=11111100  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=000005  icr=00  sdr=00    event=000613  icr=00  sdr=00

       alarm=FFFFFF icm=08 alarm=0AD303 icm=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem132 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0006609

JOTD (developer)

Attached beta slave that runs without SNOOP errors. Can you test that?

note ~0006614

Irek (reporter)

I tested it with snoopaga option and the game crashes after the start with an error on my setup,the gfx problems in the main character have unfortunately remained too.


************************* 30-Dez-18 13:06:43 ************************18.0.5614***
Slave='Zool.slave' (2024 bytes)
ShadowMem 54668008 - 546F1008 ( 561152) AbsolutMem 89000 - 100000 ( 487424)
Resload 5BF6A000 - 5BF71E0C ( 32268) at 5BF6A000 GL=$5BF73000
Slave 5BFFE000 - 5BFFE7C4 ( 1988) at 5BFFE000 BaseMemSize=$100000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)

Exception "Trace" ($2024) at $AF24 occured.

$0000aede move.b #1,($b528)
$0000aee6 tst.b ($987f)
$0000aeec bne.w $af1e
$0000aef0 tst.l ($1a6a)
$0000aef6 beq.w $af1e
$0000aefa move.l ($1a6a),a0
$0000af00 jsr (a0) ;$000059c8
$0000af02 subq.b #1,($1a3b)
$0000af08 bpl.w $af1e
$0000af0c move.b ($1a6e),($1a3b)
$0000af16 move.l ($1a6a),a0
$0000af1c jsr (a0) ;$000059c8
$0000af1e move (a7)+,sr ;$000014d8
$0000af20 movem.l (a7)+,d0-d7/a0-a6 ;$000014d8
$0000af24 move.w #$70,($dff09c)
$0000af2c rte
$0000af2e btst d0,d1
$0000af30 move.w ([$20010231,a5],d3.w*4,$33383320),d1
$0000af3c btst d0,d3
$0000af3e move.w ($20010432,a6,d3.w*8),d2
$0000af46 move.w ($105.w,a5,d3.w*2),d3
$0000af4c dc.w $3331
$0000af4e move.w ($20010637),-(a1) ;$00001000
$0000af54 move.l ($107.w,a2,d3.l),d0
$0000af5a move.w ([$20010834,a0],d3.w*2),-(a0) ;$000059c8
$0000af62 move.w ($109.w,a6,d3.w*4),-(a2) ;$00070266
$0000af68 move.w ($35312001),d1
$0000af6e eori.b #??$31,($34,a1,d3.w) ;$ffffe407
$0000af74 movep.w ($3335,a3),d0 ;$000737a1

exception stackframe:
$000014D8 A7080000 AF242024 0000AF20
regular stack:
$000014E4 21080000 6804006C 00000000 00000000 00000000 00000038 00000000 00000000
$00001504 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$00001524 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$00001544 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$00001564 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx 0 FFFF 7 D3D3D3D3 D4D4D4D4 D5D5D5D5 FFFF D7D7FFFF
Ax 59C8 1000 70266 7046C 60000 BFD000 DFF000

                 TTSM III XNZVC
PC= AF24 SR %1010011100001000 USP=FFC00 ISP=14D8 MSP=FF800
VBR=5BF74000 SFC=5 DFC=5 CACR=80008000
TC=8000 URP=5BF68000 SRP=5BF68000 MMUSR=0
DTT0=0 DTT1=0 ITT0=0 ITT1=0

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0100000000101000 dmacon=%0010011111100000 adkcon=$1100
intreq=%0000000000100000
vposr....A300 vhposr...0FD0 joy0dat..0000 joy1dat..0000 clxdat...8001
pot0dat..7839 pot1dat..8C1A potinp...5500 serdatr..3BFF dskbytr..8000
vposw....A300 bltafwm..FFFF bltalwm..FFFF deniseid.00F8 cop1lc...0007
cop1lcl..03A6 cop2lc...0000 cop2lcl..1000 diwstrt..6781 diwstop..DCC1
ddfstrt..0038 ddfstop..00D0 bpl1pt...0005 bpl1ptl..35B8 bpl2pt...0005
bpl2ptl..5DB8 bpl3pt...0005 bpl3ptl..85B8 bpl4pt...0005 bpl4ptl..ADB8
bplcon0..0200 bplcon1..0000 bplcon2..0064 bpl1mod..0000 bpl2mod..0000
spr0pt...0000 spr0ptl..10E4 spr1pt...0000 spr1ptl..10E4 spr2pt...0000
spr2ptl..10E4 spr3pt...0000 spr3ptl..10E4 spr4pt...0000 spr4ptl..10E4
spr5pt...0000 spr5ptl..10E4 spr6pt...0000 spr6ptl..10E4 spr7pt...0000
spr7ptl..10E4 spr0ctl..0000 spr0data.0000 spr0datb.0000 spr1ctl..0000
spr1data.0000 spr1datb.0000 spr2ctl..0000 spr2data.0000 spr2datb.0000
spr3ctl..0000 spr3data.0000 spr3datb.0000 spr4ctl..0000 spr4data.0000
spr4datb.0000 spr5ctl..0000 spr5data.0000 spr5datb.0000 spr6ctl..0000
spr6data.0000 spr6datb.0000 spr7ctl..0000 spr7data.0000 spr7datb.0000
color00..0000 color01..0CCC color02..0000 color03..0EEE color04..0A30
color05..0F61 color06..0DA0 color07..0C80 color08..024D color09..057F
color10..0293 color11..0260 color12..0C00 color13..0000 color14..0936
color15..0800 color16..10F9 color17..0006 color18..0004 color19..10E7
color20..00FE color21..10E7 color22..1039 color23..00DF color24..001E
color25..0800 color26..0005 color27..1000 color28..0010 color29..10FC
color30..0001 color31..0007 hhposr...FF78
   ciaa: PI ROPS ciab: PI ROPS
    cra=00001000 ta=21FF<2100 cra=00000000 ta=FFFF<FFFF
        AII ROPS AII ROPS
    crb=00000000 tb=21FF<21FF crb=00000000 tb=FFFF<FFFF
        10RTWCLO parallel DRCCDSOY M3210HDS
    pra=11111100 prb=11111111 pra=11111111 prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000 ddrb=11111111
       event=0000FA icr=00 sdr=00 event=0131A1 icr=00 sdr=00
       alarm=FFFFFF icm=99 alarm=0AD303 icm=00

note ~0006615

JOTD (developer)

Last edited: 2019-01-04 23:54

View 2 revisions

I have fixed the SNOOP bugs, but the main character is still trashed on real HW or on emulator with JIT

Self-modifying code probably as found in the CD32 version... promising lead

+Notes

-Issue History
Date Modified Username Field Change
2018-11-20 16:55 administrator New Issue
2018-11-20 16:55 administrator Status new => assigned
2018-11-20 16:55 administrator Assigned To => JOTD
2018-11-20 22:06 JOTD Status assigned => acknowledged
2018-12-29 00:03 JOTD Summary I have severe gfx problems in main character, after snoop test, the game => I have severe gfx problems in main character (AGA)
2018-12-29 00:03 JOTD Description Updated View Revisions
2018-12-29 23:53 JOTD File Added: ZoolAGA.zip
2018-12-29 23:54 JOTD Note Added: 0006609
2018-12-30 21:16 Irek Note Added: 0006614
2018-12-31 00:07 JOTD Status acknowledged => confirmed
2018-12-31 00:07 JOTD File Deleted: ZoolAGA.zip
2018-12-31 00:07 JOTD Note Added: 0006615
2019-01-04 23:54 JOTD Note Edited: 0006615 View Revisions
2019-01-06 10:36 JOTD Status confirmed => closed
2019-01-06 10:36 JOTD Resolution open => fixed
+Issue History